<# 
Initialization script for Docker image
#>

New-Item -path C:\ -name DB -ItemType directory
New-Item -path C:\DB -name Backups -ItemType directory
New-Item -path C:\ -name SQL -ItemType directory

Invoke-Sqlcmd -InputFile 00.ServerSetting.sql `
              -Database master `
              -Server . `

Invoke-Sqlcmd -InputFile 01.DBCreation.sql `
              -Database master `
              -Server . `

Invoke-Sqlcmd -InputFile 02.ObjectCreation.sql `
              -Database master `
              -Server . `

Remove-Item /*.sql
